<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<wvmenu>
  <title>Search results</title>

  <xsl:for-each select="//div[@class='rl-item']">
    <xsl:choose>
      <xsl:when test="contains(div/@srcurl, 'www.youtube.com')">
	<link>
	  <label><xsl:value-of select="normalize-space(div/div/div[@class='rl-title']/a)" /></label>
	  <object template="youtubevideo"><xsl:value-of select="div/@srcurl"/></object>
	  <ref template="youtubevideodesc"><xsl:value-of select="div/@srcurl"/></ref>
	</link>
      </xsl:when>

      <xsl:when test="contains(div/@srcurl, 'video.google.com')">
	<link type="video" template="googlevideo">
	  <label><xsl:value-of select="normalize-space(div/div/div[@class='rl-title']/a)"/></label>
	  <object template="googlevideo"><xsl:value-of select="div/@srcurl"/></object>
	  <ref template="googlevideodesc"><xsl:value-of select="div/@srcurl"/></ref>
	</link>
      </xsl:when>
    </xsl:choose>
  </xsl:for-each>

  <xsl:if test="//td[@class='prev']/a">
    <link>
      <label>Previous</label>
      <ref template="searchresults"><xsl:value-of select="//td[@class='prev']/a/@href"/></ref>
    </link>
  </xsl:if>

  <xsl:if test="//td[@class='next']/a">
    <link>
      <label>Next</label>
      <ref template="searchresults"><xsl:value-of select="//td[@class='next']/a/@href"/></ref>
    </link>
  </xsl:if>
</wvmenu>
</xsl:template>

</xsl:stylesheet>
