<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<wvmenu>
  <title>
    <xsl:choose>
      <xsl:when test="normalize-space(//div[@id='main-header'])">
	<!-- Normal navigation page -->
        <xsl:value-of select="normalize-space(//div[@id='main-header'])" />
      </xsl:when>
      <xsl:otherwise>
	<!-- Search results page -->
	<xsl:text>Search results for </xsl:text>
        <xsl:value-of select="normalize-space(//span[@class='search-query'])" />
      </xsl:otherwise>
    </xsl:choose>
  </title>

  <xsl:for-each select="//div[@class='video-long-title']">
    <link>
      <label><xsl:value-of select="a/@title"/></label>
      <object template="video"><xsl:value-of select="a/@href"/></object>
      <ref template="description"><xsl:value-of select="a/@href"/></ref>
    </link>
  </xsl:for-each>

  <xsl:for-each select="//div[@class='pagingDiv']/a">
    <!-- Skip the numeric links and show only the non-numeric Next and
	 Previous. -->
    <xsl:if test="string(number(.)) = 'NaN'">
      <link>
        <label><xsl:value-of select="normalize-space(.)"/></label>
        <ref template="navigation"><xsl:value-of select="@href"/></ref>
      </link>
    </xsl:if>
  </xsl:for-each>
</wvmenu>
</xsl:template>

</xsl:stylesheet>
